Page MenuHomePhabricator

Flaky test failure from TitlePermissionTest::testUserBlock
Closed, ResolvedPublicPRODUCTION ERROR

Description

There was 1 failure:

1) TitlePermissionTest::testUserBlock
Failed asserting that two arrays are equal.
--- Expected
+++ Actual
@@ @@
-        8 => '14:14, 25 August 2019'
+        8 => '14:15, 25 August 2019'

/workspace/src/tests/phpunit/includes/TitlePermissionTest.php:955
		$prev = time(); # expected
		$now = time() + 120;
		$this->user->mBlockedby = $this->user->getId();
		$this->user->mBlock = new Block( [
			'address' => '127.0.8.1',
			'by' => $this->user->getId(),
			'reason' => 'no reason given',
			'timestamp' => $prev + 3600,
			'auto' => true,
			'expiry' => 0
		] );
		$this->user->mBlock->mTimestamp = 0; # actual
		$this->assertEquals( [ [ 'autoblockedtext',
				'[[User:Useruser|Useruser]]', 'no reason given', '127.0.0.1',
				'Useruser', null, 'infinite', '127.0.8.1',
				$wgLang->timeanddate( wfTimestamp( TS_MW, $prev ), true ) ] ], # expected (2)
			$this->title->getUserPermissionsErrors( 'move-target',
				$this->user ) );

Event Timeline

Krinkle created this task.Aug 25 2019, 3:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2019, 3:01 PM

Seems to have been introduced in 5ec53b028 / rSVN65609.

Change 532244 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] title: Fix flaky TitlePermissionTest::testUserBlock

https://gerrit.wikimedia.org/r/532244

Change 532244 merged by jenkins-bot:
[mediawiki/core@master] title: Fix flaky TitlePermissionTest::testUserBlock

https://gerrit.wikimedia.org/r/532244

Krinkle closed this task as Resolved.Aug 28 2019, 11:01 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:06 PM